Album: Encore
Artists:
- Jamie Paige
Date: March 4, 2022
Date Added: October 25, 2023
URLs:
- https://jamiepaige.bandcamp.com/track/encore
- https://www.youtube.com/playlist?list=OLAK5uy_mRTOWPRJD1jFaJNF1S-U5C0VlXNglwCUQ
- https://open.spotify.com/album/4o2uBqSkGDdFcMyB7A09Y6
- https://music.apple.com/album/encore-single/1612696402
Cover Artists:
- REVERIEQUE
Color: '#e65f66'
Groups:
- Jamie Paige
- Beyond
Cover Art File Extension: png
Commentary: |-
    <i>Jamie Paige:</i>
    "if the crowd wants more, go and give 'em what they're waiting for!"

    a funky lil tune with vocals from GUMI! this one debuted a few months ago when i played at Crypton's Digital Stars feat. MIKU & GUMI event, but i wanted to give it a little bit more time to \~sweeten~ before releasing it proper. hope y'all enjoy <3
---
Track: Encore
Directory: encore-jamie-paige
Always Reference By Directory: true
Contributors:
- GUMI English
Duration: '3:29'
URLs:
- https://jamiepaige.bandcamp.com/track/encore
- https://www.youtube.com/watch?v=1pq8Rruof7E
- https://open.spotify.com/track/2nEUs3QiL4ZWBkSzkLiFa1
- https://music.apple.com/album/encore/1612696402?i=1612696403
Lyrics: |-
    Just hit the encore, baby!

    Come and love me like a stranger, so cold and dry
    It'll keep me out of danger, unsatisfied
    Don't ask me how it got this bad, I couldn't answer
    'Cause I'd have to look inside me, I'm afraid to understand her

    (You could be much better)
    You don't know how much I've tried
    (Be a real go-getter)
    All the questions that run dry
    (You're the one this feeling's felt for)
    But that feeling's deep inside
    (Baby you know what you came for, it's the grandest restore)
    Just hit the encore, baby!

    Don't you think you're better than that?
    Go ahead, put the headstone back
    A little fire get you back on track
    (Is it disaster? Maybe!)
    What a feeling when you first begin
    Make it happen with your own two hands
    You can go and live a life again
    (Just hit the encore, baby!)

    Was it everything you wanted? To fall in love?
    'Cause I'm just so damn exhausted; I just want someone
    But you ask me why I hold my arms forever extended
    'Cause I tell myself it's better, but it keeps my heart unmended

    (We could sing together)
    And I feel so out of key
    (Doesn't matter what's the weather)
    But maybe it's not my melody
    (You're the one I'll always care for)
    Maybe I just need harmony
    (Baby you know what you came for, it's the grandest restore)
    Just hit the encore, baby!

    Don't you think you're better than that?
    Go ahead, put the headstone back
    A little fire get you back on track
    (Is it disaster? Maybe!)
    What a feeling when you first begin
    Make it happen with your own two hands
    You can go and live a life again
    Just hit the encore, baby!
    Just hit the encore!

    But do you really want more of this?
    God, I feel so hit or miss
    And on stage, I'm a total mess
    Yet you still ask me to play one more
    And that's a feeling that I can't ignore
    (Your song is so adored)
    So my darling, if the crowd wants more, go and give 'em what they're waiting for!
    Just hit the encore!

    Don't you think you're better than that?
    Go ahead, put the headstone back
    A little fire get you back on track
    (Is it disaster? Maybe!)
    What a feeling when you first begin
    Make it happen with your own two hands
    You can go and live a life again
    Just hit the encore, baby!
    (Is it disaster? Maybe!)
    Just hit the encore!

    ("That worked every f*cking time!")
